| libusb 1.0.24 A cross-platform user library to access USB devices

Data Fields
libusb_interface Struct Reference
USB descriptors

A collection of alternate settings for a particular USB interface. More...

`#include <libusb.h>`

## Data Fields
const struct libusb_interface_descriptor * | altsetting
| Array of interface descriptors. More...
int | num_altsetting
| The number of alternate settings that belong to this interface. More...

## Detailed Description

A collection of alternate settings for a particular USB interface.

## Field Documentation

## ◆ altsetting

const struct libusb_interface_descriptor* libusb_interface::altsetting

Array of interface descriptors.

The length of this array is determined by the num_altsetting field.

## ◆ num_altsetting

int libusb_interface::num_altsetting

The number of alternate settings that belong to this interface.

Must be non-negative.

The documentation for this struct was generated from the following file:

- libusb.h